<?php
/**
 * @package linea21.modules
 * @subpackage sdi
 * @author linea21 <info@linea21.com>
 * @version $id SVN
 * @access public
 * @license http://opensource.org/licenses/gpl-3.0.html
 */

//////////// Check Inclusion de pages //////////// 
if (!function_exists('AuthenthificationProcess')){ 
include_once("../lib/lib_common.php");
ReloadIndex('admin');
}
////////////

$req_add = "SELECT scale_id, scale_denomination FROM " . T_SCALE . " WHERE scale_statut<>'E' AND scale_dependencies<".(MAX_SCALE_LEVEL-1)." ORDER BY scale_id;";

$req_quickbox_list = "SELECT sdii_id, sdii_name, to_char(sdii_last_modify, '".toStringSqlDate('long')."') AS sdii_last_modify, sdii_date_crea AS sdii_date_crea2, to_char(sdii_date_crea, '".toStringSqlDate()."') AS sdii_date_crea
FROM " . T_SDI_INFO . "
WHERE sdii_statut <> 'E'
ORDER BY sdii_date_crea2 DESC
OFFSET 0 LIMIT 10;";

$req_quickbox_mod_list = "SELECT sdii_id, sdii_name, to_char(sdii_last_modify, '".toStringSqlDate('long')."') AS sdii_last_modify, sdii_last_modify AS sdii_last_modify2, to_char(sdii_date_crea, '".toStringSqlDate()."') AS sdii_date_crea
FROM " . T_SDI_INFO . "
WHERE sdii_statut <> 'E'
ORDER BY sdii_last_modify2 DESC
OFFSET 0 LIMIT 10;";

$req_list_theme="SELECT T.theme_id, T.theme_name, T.theme_statut, SDT.sdtheme_name, SDT.sdtheme_id FROM " . T_THEME . " AS T LEFT OUTER JOIN ". T_SD_THEME ." AS SDT ON SDT.sdtheme_id=T.theme_sd_theme WHERE T.theme_statut  <> 'E' ORDER BY sdtheme_range DESC, sdtheme_name ASC, theme_name ASC;";

function SQL_getOnesdiname($id) { 
	$req_Onesdiname= "SELECT sdii_name FROM " . T_SDI_INFO . " WHERE sdii_id=$id ;";
	return $req_Onesdiname;
}

function SQL_getOnesditheme($theme_id) { 
	$req_Onetheme= "SELECT theme_name FROM " . T_THEME . " WHERE theme_id=$theme_id ;";
	return $req_Onetheme;
}

function SQL_getAllsditheme($theme_id) { 
	$req_Allsditheme= "SELECT COUNT(sdii_id) AS countsdi FROM " . T_SDI_INFO . " WHERE sdii_theme=$theme_id AND sdii_statut <> 'E';";
	return $req_Allsditheme;
}

function SQL_getListSdi($filter=-1, $valueparam)
	{
		$filter=strtoupper($filter); 
		
        $requete = "SELECT II.sdii_id, II.sdii_name, II.sdii_description, II.sdii_max_value, II.sdii_min_value, II.sdii_threshold_value, II.sdii_threshold_relative, II.sdii_unit, T.theme_name, II.sdii_range, IP.sdip_name,II.sdii_statut, II.sdii_theme			
		FROM ". T_SDI_INFO ." AS II LEFT OUTER JOIN theme as T on II.sdii_theme=T.theme_id 
		LEFT OUTER JOIN sdi_provider as IP on II.sdii_provider=IP.sdip_id";
		if($filter==-1) {
			$requete.=" WHERE II.sdii_statut<>'E';";
		}	else	{
		
		switch ($filter) {
				case 'T':
					$requete.=" WHERE T.theme_name LIKE'".$valueparam."'";
					$requete.="AND II.sdii_statut<>'E';";
				    break;
				case 'S':
					$valueparam=strtoupper($valueparam); 
					$requete.=" WHERE II.sdii_statut='".$valueparam."'";
				    break;
				case 'R':
				$requete.=" WHERE II.sdii_statut<>'E'
				ORDER BY II.sdii_theme DESC
				";
				break;
					}
				}
        return $requete;
	}
	
	function SQL_getInfoSdi($id)
	{

        $requete = "SELECT II.sdii_id, II.sdii_name, II.sdii_description, II.sdii_comment, T.theme_name, II.sdii_theme,
		II.sdii_range, II.sdii_goal, II.sdii_consulting, II.sdii_unit, II.sdii_max_value, II.sdii_min_value,
		II.sdii_threshold_value, II.sdii_threshold_relative, II.sdii_frequency, II.sdii_provider, IP.sdip_name, II.sdii_evaluation, II.sdii_reglementation,
		to_char(II.sdii_date_crea, '".toStringSqlDate('long')."' ) AS date_c, II.sdii_statut			
		FROM ". T_SDI_INFO  ." AS II LEFT OUTER JOIN theme as T on II.sdii_theme=T.theme_id 
		LEFT OUTER JOIN sdi_provider as IP on II.sdii_provider=IP.sdip_id";
		$requete.=" WHERE II.sdii_id=".$id.";";
		
        return $requete;
	}
	
	function SQL_getRules( $id_idd,$sql_object, $ID=-1 )
	{
   		if ($ID==-1) {  
		$sdi_object_func= new sdi;  
		$data= $sdi_object_func -> _GetKeysSdi($id_idd,$sql_object);
		$ID=$data[0]['sdii_reglementation'];			
		}
        $requete = "SELECT sdir_id, sdir_title, sdir_body, sdir_referer_uri, sdir_mask_uri,
		to_char(sdir_date_crea, '".toStringSqlDate('long')."' ) AS date_c, to_char(sdir_last_modify, '".toStringSqlDate('long')."' ) AS date_m			
		FROM ". T_SDI_RULES ." WHERE sdir_id=".$ID.";";
      
         return $requete;
	}
	
		function SQL_getProvider( $id_idd, $sql_object, $ID=-1)
	{
   		if ($ID==-1) { 
		$sdi_object_func= new sdi;    
		$data=$sdi_object_func -> _GetKeysSdi($id_idd,$sql_object);
		$ID=$data[0]['sdii_provider'];			
		}
        $requete = "SELECT sdip_id, sdip_name, sdip_service, sdip_description, sdip_incharge,
		sdip_address, sdip_phone, sdip_fax, sdip_email, to_char(sdip_date_crea, '".toStringSqlDate('long')."' ) AS date_c, to_char(sdip_last_modify, '".toStringSqlDate('long')."' ) AS date_m		
		FROM ". T_SDI_PROVIDER ." WHERE sdip_id=".$ID.";";

        return $requete;
	}
	
	function SQL_getEvaluation( $id_idd, $sql_object, $ID=-1)
	{
   		if ($ID==-1) { 
		$sdi_object_func= new sdi;    
		$data=$sdi_object_func -> _GetKeysSdi($id_idd,$sql_object);
		$ID=$data[0]['sdii_evaluation'];			
		}
        $requete = "SELECT sdie_id, sdie_scale_compare, sdie_fiability, sdie_accessibility, sdie_lisibility,
		sdie_relevance, sdie_global_performance, to_char(sdie_date_crea, '".toStringSqlDate('long')."' ) AS date_c, to_char(sdie_last_modify, '".toStringSqlDate('long')."' ) AS date_m
		FROM ". T_SDI_EVAL ." WHERE sdie_id=".$ID.";";
   
        return $requete;
	}


?>
